# Class ShortFrustumDepthRenderer

##### Index

### Constructors

constructor

### Properties

depthRenderer
depthRenderStoresNonLinearDepth
shortFrustumProjectionMatrixState

### Methods

disable
dispose
isDisabled
resize
setPause

## Constructors

### constructor

- new ShortFrustumDepthRenderer(
  storeNonLinearDepth: boolean,
  scene: Scene,
  camera: Camera,
  _ifcMeshCustomDepthMaterial: IfcMeshDepthMaterial,
  _babylonjsMeshCustomDepthMaterial: BabylonMeshDepthMaterial,
  ): ShortFrustumDepthRenderer

  #### Parameters

  - storeNonLinearDepth: boolean
  - scene: Scene
  - camera: Camera
  - _ifcMeshCustomDepthMaterial: IfcMeshDepthMaterial
  - _babylonjsMeshCustomDepthMaterial: BabylonMeshDepthMaterial

  #### Returns ShortFrustumDepthRenderer

## Properties

### `Readonly` depthRenderer

depthRenderer: DepthRenderer

### `Readonly` depthRenderStoresNonLinearDepth

depthRenderStoresNonLinearDepth: boolean = false

### `Readonly` shortFrustumProjectionMatrixState

shortFrustumProjectionMatrixState: ShortFrustumProjectionMatrixState

## Methods

### disable

- disable(): void

  #### Returns void

### dispose

- dispose(): void

  #### Returns void

### isDisabled

- isDisabled(): boolean

  #### Returns boolean

### resize

- resize(width: number, height: number, scene: Scene): void

  #### Parameters

  - width: number
  - height: number
  - scene: Scene

  #### Returns void

### setPause

- setPause(paused: boolean): void

  #### Parameters

  - paused: boolean

  #### Returns void